Bug 967038 - SMTP settings needed in console.conf
SMTP settings needed in console.conf
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 10:44 EDT by Russell Harrison
Modified: 2017-11-08 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:11:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2013-05-24 10:44:08 EDT
Description of problem:
Emails were failing to be sent because of invalid SSL cert verification.  To work around the issue we had to add the following line to the site production.rb file.

  # Don't verify the certs used for SMTP+TLS.
  config.action_mailer.smtp_settings = { :openssl_verify_mode => 'none' }

rpm -qf /var/www/openshift/site/config/environments/production.rb
rhc-site-1.8.10-2.el6oso.noarch

We need configuration options to be added to console.conf so we can make those settings there.

Also an item needs to be added to the release ticket to remind the ops team to remove production.rb from Puppet management again once the setting is in place.
Comment 1 Clayton Coleman 2013-05-24 14:34:55 EDT
Implemented and in the release ticket
Comment 2 Yujie Zhang 2013-05-27 02:21:50 EDT
Tested on devenv_3277, registered new account with promocode, the email can be sent successfully, so verify this bug, see log as following:

2013-05-27 02:19:34.940 [DEBUG] Confirmation URL: https://ec2-54-226-58-225.compute-1.amazonaws.com/app/email_confirm (pid:30323)
2013-05-27 02:19:34.941 [DEBUG] Mailing promotional code to yujzhang+devtestjjj@redhat.com (pid:30323)
2013-05-27 02:19:34.948 [INFO ] Rendered promo_code_mailer/promo_code_email.html.erb (0.1ms) (pid:30323)
2013-05-27 02:19:34.958 [INFO ] Sent mail to snathan@redhat.com (8ms) (pid:30323)
2013-05-27 02:19:34.958 [DEBUG] Date: Mon, 27 May 2013 02:19:34 -0400
From: OpenShift <noreply@openshift.redhat.com>
To: Marketing Mailing List <snathan@redhat.com>
Message-ID: <51a2faf6e8d88_7673c318886954e@ip-10-165-41-20.mail>
Subject: User signed up with promo code
Mime-Version: 1.0
Content-Type: text/html;
 charset=UTF-8
Content-Transfer-Encoding: 7bit

<!DOCTYPE html>
<html>
  <head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
  </head>
  <body>
    <h1>New user created</h1>
    <p>
	  A user with email yujzhang+devtestjjj@redhat.com has successfully signed up with promotional code aaa<br/>
    </p>
  </body>
</html> (pid:30323)
2013-05-27 02:19:34.959 [INFO ] [user_action] SUCCESS DATE=2013-05-27 TIME=02:19:34 ACTION=CREATE_USER USER_AGENT=Mozilla/5.0 (X11; Linux x86_64; rv:18.0) Gecko/20100101 Firefox/18.0 IP_ADDRESS=203.114.244.88 REQUEST_ID=dcb9b1ac1286c7a5d6eacea2061d3756 EMAIL=yujzhang+devtestjjj@redhat.com

Note You need to log in before you can comment on or make changes to this bug.